package com.mogo.cloud.tanlu.bean;

import com.mogo.cloud.tanlu.bean.location.Location;

import java.util.ArrayList;

/**
 * @author lixiaopeng
 * @description
 * @since 2021/1/20
 */
public class RoadInfoRequest {

    private Location location; //没有定位信息，可传空对象。如果没有，服务端将根据文字逆序成经纬度查询
    private String inputText; //必须是有效的地理信息，否则可能会报错
    private ArrayList<String> poiTypes;
    private boolean onlyFocus;
    private boolean onlySameCity;

    public RoadInfoRequest(Location location, String inputText, ArrayList<String> poiTypes, boolean onlyFocus, boolean onlySameCity) {
        this.location = location;
        this.inputText = inputText;
        this.poiTypes = poiTypes;
        this.onlyFocus = onlyFocus;
        this.onlySameCity = onlySameCity;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public String getInputText() {
        return inputText;
    }

    public void setInputText(String inputText) {
        this.inputText = inputText;
    }

    public ArrayList<String> getPoiTypes() {
        return poiTypes;
    }

    public void setPoiTypes(ArrayList<String> poiTypes) {
        this.poiTypes = poiTypes;
    }

    public boolean isOnlyFocus() {
        return onlyFocus;
    }

    public void setOnlyFocus(boolean onlyFocus) {
        this.onlyFocus = onlyFocus;
    }

    public boolean isOnlySameCity() {
        return onlySameCity;
    }

    public void setOnlySameCity(boolean onlySameCity) {
        this.onlySameCity = onlySameCity;
    }


}
